summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcomm-3
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgcomm-3')
-rwxr-xr-xgettext-tools/tests/msgcomm-36
1 files changed, 4 insertions, 2 deletions
diff --git a/gettext-tools/tests/msgcomm-3 b/gettext-tools/tests/msgcomm-3
index 71fa2a2..9ccc510 100755
--- a/gettext-tools/tests/msgcomm-3
+++ b/gettext-tools/tests/msgcomm-3
@@ -18,11 +18,13 @@ msgid "2"
msgstr "2x"
EOF
-tmpfiles="$tmpfiles mcomm-test3.out"
+tmpfiles="$tmpfiles mcomm-test3.tmp mcomm-test3.out"
: ${MSGCOMM=msgcomm}
-${MSGCOMM} --more-than=0 --omit-header -o mcomm-test3.out \
+${MSGCOMM} --more-than=0 --omit-header -o mcomm-test3.tmp \
mcomm-test3.in1 mcomm-test3.in2
test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < mcomm-test3.tmp > mcomm-test3.out
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles mcomm-test3.ok"
cat << EOF > mcomm-test3.ok